Skip to main content
POST
/
v1
/
ai
/
eval
/
prompt-sets
/
{promptSetId}
/
unarchive
Restore an archived eval prompt set
curl --request POST \
  --url https://{instance}.omniapp.co/api/v1/ai/eval/prompt-sets/{promptSetId}/unarchive \
  --header 'Authorization: Bearer <token>'
{
  "prompt_set": {
    "created_at": "2025-01-15T10:00:00.000Z",
    "description": "Regression suite for the orders topic",
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "is_archived": false,
    "model_id": "880e8400-e29b-41d4-a716-446655440003",
    "name": "Orders regression",
    "prompts": [
      {
        "created_at": "2025-01-15T10:00:00.000Z",
        "expectation": "The top product by revenue should be Aniseed Syrup.",
        "id": "770e8400-e29b-41d4-a716-446655440002",
        "prompt_text": "What are the top 5 products by revenue?",
        "updated_at": "2025-01-15T10:00:00.000Z"
      }
    ],
    "slug": "orders-regression",
    "updated_at": "2025-01-15T10:00:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Path Parameters

promptSetId
string<uuid>
required

The unique identifier of the eval prompt set.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Prompt set restored successfully.

prompt_set
object
required